function loadingBlock(status) {
  if (status) {
    $('.toast-loading').removeClass('active')
    $('.skeleton-loading').removeClass('active')
  } else {
    $('.toast-loading').addClass('active')
    $('.skeleton-loading').addClass('active')
  }
}

function appBlock(status) {
  if (status) {
    loadingBlock(false)
    $('#app').removeClass('fixed')
  } else {
    $('#app').addClass('fixed')
  }
}

function errorBlock(img, str) {
  loadingBlock(false)
  appBlock(false)
  $('.error-block').css({
    display: 'block'
  })
  $('.error-block-image img').attr('src', img)
  $('.error-block-description-title').text(str)
}

function mobileLoadingBlock(status) {
  if (status) {
    $('.app-skeleton-loading').removeClass('none')
  } else {
    $('.app-skeleton-loading').addClass('none')
  }
}

function mobileApp(status) {
  if (status) {
    mobileLoadingBlock(false)
    $('.gx-mobile').removeClass('fixed')
  } else {
    $('.gx-mobile').addClass('fixed')
  }
}

