
let currentLang = 'zh-CN'

function switchLanguage(lang) {

    if (currentLang === lang) {
        return
    }
    currentLang = lang

    const chineseButton = document.querySelector('.chineseButton')
    const englishButton = document.querySelector('.englishButton')

    if (lang === 'zh-CN') {
        chineseButton.classList.add('clicked')
        englishButton.classList.remove('clicked')
        chineseButton.innerHTML = "中"
        englishButton.innerHTML = "英"
        console.log("显示中文")
    } else {
        englishButton.classList.add('clicked') // 改变第一个按钮的样式  
        chineseButton.classList.remove('clicked')
        chineseButton.innerHTML = "CHN"
        englishButton.innerHTML = "EN"
        console.log("显示英文")
    }
    elementSwitch(lang)
}

function elementSwitch(lang) {

    const allChineseElements = document.querySelectorAll('.chinese-lang')
    const allEnglishElements = document.querySelectorAll('.english-lang')

    for (let index = 0; index < allChineseElements.length; index++) {
        const chineseElement = allChineseElements[index];
        chineseElement.style.display = (lang === 'zh-CN') ? 'block' : 'none'
    }

    for (let index = 0; index < allEnglishElements.length; index++) {
        const englishElement = allEnglishElements[index];
        englishElement.style.display = (lang === 'zh-CN') ? 'none' : 'block'
    }

}